# Documentation

Menu

## State
in package

State.php : 49

Query builder state

### Table of Contents

__call() : mixed
appendGroupArray() : self
appendHavingMap() : self
appendMap() : self
  Add an additional set of mapping pairs to a internal map
appendSelectString() : self
appendSetArrayKeys() : self
appendValues() : self
appendWhereValues() : self
getFromString() : void
getGroupArray() : void
getGroupString() : void
getHavingMap() : void
getLimit() : void
getOffset() : void
getOrderArray() : void
getOrderString() : void
getQueryMap() : void
getSelectString() : void
getSetArrayKeys() : void
getSetString() : void
getValues() : void
getWhereValues() : void
setFromString() : void
setGroupArray() : void
setGroupString() : void
setLimit() : void
setOffset() : void
setOrderArray() : self
setOrderString() : void
setSelectString() : void
setSetArrayKeys() : void
setSetString() : void

### Methods

#### __call()

State.php : 138
`public __call(string $name, array<string|int, mixed> $arguments) : mixed`

##### Parameters

$name : string
$arguments : array<string|int, mixed>

##### Return values

mixed —

#### appendGroupArray()

State.php : 184
`public appendGroupArray(string $groupArray) : self`

##### Parameters

$groupArray : string

##### Return values

self —

#### appendHavingMap()

State.php : 229
`public appendHavingMap(array<string|int, mixed> $item) : self`

##### Parameters

$item : array<string|int, mixed>

##### Return values

self —

#### appendMap()

State.php : 218

Add an additional set of mapping pairs to a internal map

`public appendMap([string $conjunction = '' ][, string $string = '' ][, MapType $type = MapType::WHERE ]) : self`

##### Parameters

$conjunction : string = ''
$string : string = ''
$type : MapType = MapType::WHERE

##### Return values

self —

#### appendSelectString()

State.php : 163
`public appendSelectString(string $str) : self`

##### Parameters

$str : string

##### Return values

self —

#### appendSetArrayKeys()

State.php : 170
`public appendSetArrayKeys(array<string|int, mixed> $setArrayKeys) : self`

##### Parameters

$setArrayKeys : array<string|int, mixed>

##### Return values

self —

#### appendValues()

State.php : 191
`public appendValues(array<string|int, mixed> $values) : self`

##### Parameters

$values : array<string|int, mixed>

##### Return values

self —

#### appendWhereValues()

State.php : 198
`public appendWhereValues(mixed $val) : self`

##### Parameters

$val : mixed

##### Return values

self —

#### getFromString()

State.php : 0
`public getFromString() : void`

: string

##### Return values

void —

#### getGroupArray()

State.php : 0
`public getGroupArray() : void`

: array

##### Return values

void —

#### getGroupString()

State.php : 0
`public getGroupString() : void`

: string

##### Return values

void —

#### getHavingMap()

State.php : 0
`public getHavingMap() : void`

: array

##### Return values

void —

#### getLimit()

State.php : 0
`public getLimit() : void`

: int|null

##### Return values

void —

#### getOffset()

State.php : 0
`public getOffset() : void`

##### Return values

void —

#### getOrderArray()

State.php : 0
`public getOrderArray() : void`

: array

##### Return values

void —

#### getOrderString()

State.php : 0
`public getOrderString() : void`

: string

##### Return values

void —

#### getQueryMap()

State.php : 0
`public getQueryMap() : void`

: array

##### Return values

void —

#### getSelectString()

State.php : 0
`public getSelectString() : void`

: string

##### Return values

void —

#### getSetArrayKeys()

State.php : 0
`public getSetArrayKeys() : void`

: array

##### Return values

void —

#### getSetString()

State.php : 0
`public getSetString() : void`

: string

##### Return values

void —

#### getValues()

State.php : 0
`public getValues() : void`

: array

##### Return values

void —

#### getWhereValues()

State.php : 0
`public getWhereValues() : void`

: array

##### Return values

void —

#### setFromString()

State.php : 0
`public setFromString(string $fromString) : void`

: self

##### Parameters

$fromString : string

##### Return values

void —

#### setGroupArray()

State.php : 0
`public setGroupArray(array<string|int, mixed> $array) : void`

: self

##### Parameters

$array : array<string|int, mixed>

##### Return values

void —

#### setGroupString()

State.php : 0
`public setGroupString(string $groupString) : void`

: self

##### Parameters

$groupString : string

##### Return values

void —

#### setLimit()

State.php : 0
`public setLimit(int $limit) : void`

: self

##### Parameters

$limit : int

##### Return values

void —

#### setOffset()

State.php : 0
`public setOffset(int|null $offset) : void`

: self

##### Parameters

$offset : int|null

##### Return values

void —

#### setOrderArray()

State.php : 177
`public setOrderArray(string $key, mixed $orderArray) : self`

##### Parameters

$key : string
$orderArray : mixed

##### Return values

self —

#### setOrderString()

State.php : 0
`public setOrderString(string $orderString) : void`

: self

##### Parameters

$orderString : string

##### Return values

void —

#### setSelectString()

State.php : 0
`public setSelectString(string $selectString) : void`

: self

##### Parameters

$selectString : string

##### Return values

void —

#### setSetArrayKeys()

State.php : 0
`public setSetArrayKeys(array<string|int, mixed> $arrayKeys) : void`

: self

##### Parameters

$arrayKeys : array<string|int, mixed>

##### Return values

void —

#### setSetString()

State.php : 0
`public setSetString(string $setString) : void`

: self

##### Parameters

$setString : string

##### Return values

void —

## Search results